Welcome

The Self Help Guide allows you to get quick access to solutions for common VPN issues.

*NOTE*
All Faculty and Staff must be using Pulse Secure version 9.1.8 or higher and have your Multi-Factor Authentication (MFA) options set before you are able to connect to FCPS VPN.

You can check your version of VPN by opening the application Pulse Secure and choosing Help then selecting About.
In the lower left hand side of the box that pops up, you should see the version number.

You should also check to make sure your settings are correct by clicking the Edit Connections button. The Server URL should match connect.fcps.edu/MFA/


You can register your Multi-Factor Authentication options by visiting https://mysignins.microsoft.com/security-info.

To download Pulse Secure for Windows 10 click here.
To download Pulse Secure for Mac OS click here.

Self Help Options
-Directions to install Pulse Secure (VPN) on your FCPS computer from Software Center
-Don't see Pulse Secure in Software Center? Directions to manually install Pulse Secure (VPN) on a Windows 10 computer
-Directions to setup your MFA options